package define;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.util.Calendar;
import java.util.Date;

public class DefineVarTag extends TagSupport {
    private String name = null;
    private String type = null;

    public void setName(String name) {
        this.name = name;
    }
    public void setType(String type) {
        this.type = type;
    }
    public int doEndTag() throws JspException {
        if(name.equals("leader")) 
            pageContext.setAttribute(name, "Mahatma Gandhi");
        else if(name.equals("independenceDate"))
            pageContext.setAttribute(name, constructDate());
        else if(name.equals("PI"))
            pageContext.setAttribute(name, new Double(3.1415));
        return EVAL_PAGE;
    }
    private Date constructDate() {
        Calendar c = Calendar.getInstance();
        c.set(1947, 7, 15);
        return c.getTime();
    }
}
