package scripting;

import java.util.Date;

import java.text.SimpleDateFormat;
import java.text.ParsePosition;

public class Expense {
    public static final String MEDICAL = "Medical";
    public static final String ENTERTAINMENT = "Entertainment";
    public static final String DINING = "Dining";
    public static final String GROCERIES = "Groceries";
    public static final String GAS = "Gas";
    public static final String ELECTRICITY = "Electricity";

    private String date_ = null;
    private String description_ = null;
    private String category_ = null;
    private double amount_ = 0.0;

    public Expense(String date, String desc, 
		   String category, double val) {
	date_ = date;
	description_ = desc;
	category_ = category;
	amount_ = val;
    }

    public String getDate() {
	return date_;
    }

    public String getDescription() {
	return description_;
    }

    public String getCategory() {
	return category_;
    }

    public double getAmount() {
	return amount_;
    }
}
