<%@ page import="scripting.*, java.util.*" %>

<%-- Declare Utility functions and variables --%>
<%!
  public String getStringifiedValue(double value) {
    	String subval = "0.00";
      if (value > 0.0) {
         subval = Double.toString(value);
         int decimal_len = subval.length() - (subval.lastIndexOf('.') + 1);
         if(decimal_len > 1)
           subval = subval.substring(0, subval.lastIndexOf('.') + 3);
         else
           subval += "0";
      }
      return subval;
  }
%>

<HTML>
<HEAD><TITLE> Scripting Elements Demo </TITLE></HEAD>
<BODY>

<% 
   ExpenseReport rpt = ExpenseReport.getReport();
%>

<H1> Expense Report for: <%= rpt.getMonth() %> </H1>

<%-- Draw Table of all Expenses --%>
<TABLE WIDTH=650 CELLSPACING="0" CELLPADDING="3" BORDER="1">
<%-- Draw title bar --%>
<TR>
    <TD WIDTH=10% BGCOLOR="#ECA613"> <B>Date</B> </TD>
    <TD WIDTH=25% BGCOLOR="#ECA613"> <B>Category</B> </TD>
    <TD BGCOLOR="#ECA613"> <B>Description</B> </TD>
    <TD WIDTH=8% BGCOLOR="#ECA613"> <B>Amount</B> </TD>
</TR>

<%-- Draw data --%>
<% 
   List expenses = rpt.getExpenses();
   for(int i=0; i<expenses.size(); i++) {
      Expense e = (Expense)expenses.get(i);
%>

<TR>
     <TD ALIGN=left> <%= e.getDate() %> </TD>
     <TD ALIGN=left> <%= e.getCategory() %> </TD>
     <TD ALIGN=left> <%= e.getDescription() %> </TD>
     <TD ALIGN=right> <%= getStringifiedValue(e.getAmount()) %> </TD>
  </TR>

<%
   }
%>

</TABLE>
</BODY>
</HTML>
