package template;
import javax.servlet.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.util.*;
public class InsertTag extends BodyTagSupport {
   private String name = null;
   private Map entries = new HashMap();

   public void setName(String name) {
      this.name = name;
   }
   public int doAfterBody() throws JspException {
      Iterator iter = entries.keySet().iterator();

      // Set the template inputs as variables in pageContext
      while(iter.hasNext()) {
         String name = (String)iter.next();
         String value = (String)entries.get(name);
         pageContext.setAttribute(name, value, PageContext.REQUEST_SCOPE);
      }
      try {
         pageContext.forward(name);
      }
      catch(IOException ioe) {
         throw new JspTagException("Insert Tag: " + ioe);
      }
      catch(ServletException se) {
         throw new JspTagException("Insert Tag: " + se);
      }
      return SKIP_BODY;
   }
   public void setEntry(String name, String value) {
      entries.put(name, value);
   }
}
