package gallery;

import javax.servlet.jsp.tagext.BodyContent;

public class ImageItem implements GalleryItem 
{
	private String imageUrl = null;
    private String caption = null;
	
	public ImageItem(String imageUrl, 
                     String caption) 
	{
		this.imageUrl = imageUrl;
        this.caption = caption;
	}
		
	public void setImageUrl(String imageUrl) 
	{
		this.imageUrl = imageUrl;
	}
	
	public void display(BodyContent out) 
		throws java.io.IOException
	{
		out.write("<IMG SRC=\"" + imageUrl + "\" WIDTH=150 HEIGHT=100>");
		out.write("<FONT color=\"black\" ><BR>" + caption + "<B>");
	}			  
}
