package scripting;

import java.util.List;
import java.util.ArrayList;

public class ExpenseReport {
    private static ExpenseReport expRpt_ = null;
    
    static {
	List exp = new ArrayList();
	exp.add(new Expense("01/01/2000", "Dr. Jeffers", Expense.MEDICAL, 5));
	exp.add(new Expense("01/02/2000", "Hoyts Cinema", Expense.ENTERTAINMENT, 15));
	exp.add(new Expense("01/02/2000", "Pepco", Expense.ELECTRICITY, 34.83));
	exp.add(new Expense("01/05/2000", "Giant Foodstore", Expense.GROCERIES, 90.45));
	exp.add(new Expense("01/05/2000", "Baja Fresh", Expense.DINING, 22.65));
	exp.add(new Expense("01/05/2000", "Mobil", Expense.GAS, 20.61));
	exp.add(new Expense("01/05/2000", "Chipotle Mexican Grill", Expense.DINING, 16.65));
	exp.add(new Expense("01/07/2000", "BlockBuster Video", Expense.ENTERTAINMENT, 7.45));
	exp.add(new Expense("01/07/2000", "Ill Pizzico", Expense.DINING, 16.64));
	exp.add(new Expense("01/13/2000", "Sunoco", Expense.GAS, 18.49));
	exp.add(new Expense("01/13/2000", "Dr. Hundemer", Expense.MEDICAL, 10));
	exp.add(new Expense("01/15/2000", "Mama Lucia's", Expense.DINING, 14.89));
	exp.add(new Expense("01/16/2000", "Safeway", Expense.GROCERIES, 55.25));
	exp.add(new Expense("01/23/2000", "Sheetz", Expense.GAS, 15.46));
	exp.add(new Expense("01/23/2000", "Flu Shots", Expense.MEDICAL, 20));
	exp.add(new Expense("01/27/2000", "Pepco", Expense.ELECTRICITY, 63.56));
	exp.add(new Expense("01/27/2000", "Madras Palace", Expense.DINING, 25.50));
	exp.add(new Expense("01/29/2000", "Safeway", Expense.GROCERIES, 40.20));
	exp.add(new Expense("01/30/2000", "BlockBuster Video", Expense.ENTERTAINMENT, 4.40));

	expRpt_ = new ExpenseReport("January", exp);
    }
    
    public static ExpenseReport getReport() {
	return expRpt_;
    }

    private List expenses_ = null;
    private String month_ = null;

    public ExpenseReport(String month, List expenses) {
	month_ = month;
	expenses_ = expenses;
    }

    public List getExpenses() {
	return expenses_;
    }

    public String getMonth() {
	return month_;
    }
}
